I found where is the problem I user a altermime, and the last thing is send 
messa using sendmail, and it crash the messa:

#!/bin/bash
# Localize these.
INSPECT_DIR=/var/spool/altermime
SENDMAIL=/usr/sbin/sendmail
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`
MAILSERVER=$( /usr/bin/python3 /etc/postfix/checkUser.py $from_address )
sed -i '1s/^/X-MailServer: '"$MAILSERVER"'\n/' in.$$ || { echo Message content 
rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL  "$@" <in.$$
exit $?

There is a way to skip yet ?

________________________________
De: owner-postfix-us...@postfix.org <owner-postfix-us...@postfix.org> em nome 
de Luis Miguel Flores dos Santos <miguel_flores_san...@hotmail.com>
Enviado: sexta-feira, 25 de agosto de 2017 11:32:22
Para: postfix-users@postfix.org
Assunto: Skip dot inside body


Hi, when I try send a message with a mail client and inside in the body a put a 
"."  the postfix send message incomplete, exemple:


data message:


"see this example is

.

my name is Miguel"


When thunderbird send this message to postfix(587), the recipient receive only 
the first phrase.


What can I do to skip this?

Thanks.

Reply via email to